All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions

Functions are declared globally, and consists of a signature where the types of the arguments and the return value is defined, and a body where the implementation is declared.

- Function declaration
- Parameter references
- Return references
- Function overloading
- Default arguments
- Anonymous functions